#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kdbusaddons
Version		:	5.107.0
Release		:	17.2.0.rel%{?dist}
Summary		:	KDE Plugin framework for desktop services

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	mesa-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel

#-----------------------------------------------------------------------------
%description
Service provides a plugin framework for handling desktop services. Services can
be applications or libraries. They can be bound to MIME types or handled by
application specific code.

#-----------------------------------------------------------------------------
%files			-f %{sname}5_qt.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/%{sname}*
%{_kf5_bindir}/kquitapp5
%{_kf5_libdir}/libKF5DBusAddons.so.5*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KDBusAddons/
%{_kf5_libdir}/libKF5DBusAddons.so
%{_kf5_libdir}/cmake/KF5DBusAddons/
%{_kf5_archdatadir}/mkspecs/modules/qt_KDBusAddons.pri
%{_qt5_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt5_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang_kf5 %{sname}5_qt

#-----------------------------------------------------------------------------
%changelog
